View Issue Details

IDProjectCategoryView StatusLast Update
14191Bug reports[All Projects] Survey designpublic2018-11-02 10:15
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14191: Broken question view if sum of width !=12
Description

If you set Label width + input width to less than 100% finally : HTML seems broken

Steps To Reproduce

Import included survey : check

Additional Information
  1. Hidden in multiple short text is broken (work in multi numeric)
  2. It work at commit 4e8702f1616a96ff0d9f9b09b7a854037abbaf9c (when feature is added).
  3. Related to form-horizontal
  4. Think we must add form-horizontal for "text-box" , unsure for radio/checkbox : boostrap don't have such system …
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.1 github
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 14101 resolvedDenisChenu Missing CSS-class "row" in li-tag inside answer-container of multiple-short-text-questions and multiple-numeric-questions 
related to 14189 closedLouisGac inconsistency in (multiple) numerical input questions 

Activities

DenisChenu

DenisChenu

2018-10-29 10:48

developer  

limesurvey_survey_brokenWidth.lss (22,092 bytes)
DenisChenu

DenisChenu

2018-10-29 11:48

developer   ~49464

Oups … bad lss



limesurvey_survey_needFormHori.lss (22,092 bytes)
DenisChenu

DenisChenu

2018-10-29 13:07

developer   ~49465

https://github.com/LimeSurvey/LimeSurvey/pull/1160

DenisChenu

DenisChenu

2018-10-30 08:48

developer   ~49478

Fix committed to master_fix_columnWidth branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28418

DenisChenu

DenisChenu

2018-11-02 09:42

developer   ~49509

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28448

Related Changesets

LimeSurvey: master_fix_columnWidth f5989145

2018-10-29 11:41:56

DenisChenu

Details Diff
Fixed issue 14101: Missing CSS-class "form-horizontal" for multiple-short-text-questions
Fixed issue 14191: Broken question view if sum of width !=12
mod - application/views/survey/questions/answer/5pointchoice/rows/item_row.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/day.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/hour.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/minute.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/month.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/year.twig Diff File
mod - application/views/survey/questions/answer/date/selector/answer.twig Diff File
mod - application/views/survey/questions/answer/gender/buttons/answer.twig Diff File
mod - application/views/survey/questions/answer/gender/radio/answer.twig Diff File
mod - application/views/survey/questions/answer/language/answer.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/list/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/answer.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/answer.twig Diff File
mod - application/views/survey/questions/answer/yesno/buttons/item.twig Diff File
mod - application/views/survey/questions/answer/yesno/radio/item.twig Diff File

LimeSurvey: master 6dd25d46

2018-11-02 09:42:10

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14191: Broken question view if sum of width !=12

Fixed issue 14101: Missing CSS-class "form-horizontal" for multiple-short-text-questions
Fixed issue : hidden column in multiple short text
Dev: checkbox with comment + add some margin for radio/checkbox list
Dev: (radio|checkbox)-text-item need too
Dev: no form-group inside form-group
Dev: adding form-horizontal put some padding-top on label
mod - application/config/version.php Diff File
mod - application/views/survey/questions/answer/5pointchoice/rows/item_row.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/day.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/hour.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/minute.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/month.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/year.twig Diff File
mod - application/views/survey/questions/answer/date/selector/answer.twig Diff File
mod - application/views/survey/questions/answer/gender/buttons/answer.twig Diff File
mod - application/views/survey/questions/answer/gender/radio/answer.twig Diff File
mod - application/views/survey/questions/answer/language/answer.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/list/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/answer.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/answer.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/answer_input.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/input/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/sliders/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/answer.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/rows/answer_row_inputtext.twig Diff File
mod - application/views/survey/questions/answer/yesno/buttons/item.twig Diff File
mod - application/views/survey/questions/answer/yesno/radio/item.twig Diff File
mod - assets/packages/limesurvey/survey.css Diff File
mod - assets/packages/template-core/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox-rtl.css Diff File
mod - assets/packages/template-core/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css Diff File
mod - assets/packages/template-core/template-core.css Diff File

Issue History

Date Modified Username Field Change
2018-10-29 10:48 DenisChenu New Issue
2018-10-29 10:48 DenisChenu File Added: limesurvey_survey_brokenWidth.lss
2018-10-29 10:48 DenisChenu File Added: Capture du 2018-10-29 10-35-09.png
2018-10-29 10:48 DenisChenu File Added: Capture du 2018-10-29 10-43-45.png
2018-10-29 10:48 DenisChenu File Added: Capture du 2018-10-29 10-44-10.png
2018-10-29 10:49 DenisChenu Relationship added related to 14101
2018-10-29 11:48 DenisChenu File Added: limesurvey_survey_needFormHori.lss
2018-10-29 11:48 DenisChenu Note Added: 49464
2018-10-29 13:07 DenisChenu Note Added: 49465
2018-10-29 13:10 DenisChenu Relationship added related to 14189
2018-10-30 08:48 DenisChenu Changeset attached => LimeSurvey master_fix_columnWidth f5989145
2018-10-30 08:48 DenisChenu Note Added: 49478
2018-10-30 08:48 DenisChenu Assigned To => DenisChenu
2018-10-30 08:48 DenisChenu Resolution open => fixed
2018-11-02 09:42 DenisChenu Changeset attached => LimeSurvey master 6dd25d46
2018-11-02 09:42 DenisChenu Note Added: 49509
2018-11-02 10:15 DenisChenu Status new => resolved
2018-11-02 10:15 DenisChenu Fixed in Version => 3.15.x